> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runnage.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve SMS



## OpenAPI

````yaml /openapi.json get /sms/{id}
openapi: 3.1.0
info:
  title: Runnage API
  description: Developer-first email and SMS API for African startups and teams.
  license:
    name: MIT
    identifier: MIT
  version: 0.1.0
servers:
  - url: https://api.runnage.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Emails
    description: Queue, list, and retrieve email messages.
  - name: SMS
    description: Queue, list, and retrieve SMS messages.
  - name: Domains
    description: Manage sending domains and DNS verification records.
  - name: Sender IDs
    description: Manage SMS sender IDs for country-specific sending.
paths:
  /sms/{id}:
    get:
      tags:
        - SMS
      summary: Retrieve SMS
      operationId: getSmsId
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SMSEnvelope'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    SMSEnvelope:
      type: object
      properties:
        sms:
          $ref: '#/components/schemas/Message'
    Error:
      type: object
      properties:
        error:
          type: string
        details:
          type: string
        message:
          type: string
      additionalProperties: true
    Message:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - queued
            - processing
            - sent
            - delivered
            - failed
            - bounced
            - complained
            - cancelled
        from:
          type: string
        to:
          type: string
        subject:
          type: string
        request_id:
          type: string
        created_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Runnage team access token

````